## univention-system-activation 5.0.1-2A~5.0.0.202106111406

=== Makefile ===
#!/usr/bin/make -f
#
# Copyright 2017-2021 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.

build: www/style.css

%.css: %.styl
	stylus "$<"

clean:
	$(RM) www/style.css

## univention-system-activation 5.0.1-1A~5.0.0.202104281346

=== debian/changelog ===
univention-system-activation (5.0.1-1A~5.0.0.202104281346) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Wed, 28 Apr 2021 13:46:22 +0200

univention-system-activation (5.0.1-1) unstable; urgency=medium

  * Bug #42374: Replace legacy Master/Slave wording by
    Primary/Backup/Replica/Managed Node

 -- Arvid <requate@univention.de>  Thu, 24 Sep 2020 13:48:37 +0200

univention-system-activation (5.0.0-3) unstable; urgency=medium

  * Bug #48963: remove unnecessary build dependency

 -- Florian Best <best@univention.de>  Sat, 01 Aug 2020 03:25:36 +0200

univention-system-activation (5.0.0-2) unstable; urgency=medium

  * Bug #51419: UCS-5.0-0 version bump

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 05 Jun 2020 18:06:16 +0200

univention-system-activation (4.0.0-13) unstable; urgency=medium

  * Bug #51420: fix apache permissions

 -- Florian Best <best@univention.de>  Thu, 04 Jun 2020 11:45:14 +0200

univention-system-activation (4.0.0-12) unstable; urgency=medium

  * Bug #51373: migrate to dh_python

 -- Florian Best <best@univention.de>  Fri, 29 May 2020 11:46:45 +0200

univention-system-activation (4.0.0-11) unstable; urgency=medium

  * Bug #51024: make UCR templates compatible to python3

 -- Florian Best <best@univention.de>  Thu, 26 Mar 2020 15:20:56 +0100

univention-system-activation (4.0.0-10) unstable; urgency=medium

  * Bug #50951: link to sdb article in case of error

 -- Jannik Ahlers <ahlers@univention.de>  Fri, 13 Mar 2020 14:16:05 +0100

univention-system-activation (4.0.0-9) unstable; urgency=medium

  * Bug #49555: track system-uuid after appliance activation

 -- Jannik Ahlers <ahlers@univention.de>  Fri, 29 Nov 2019 11:21:16 +0100

univention-system-activation (4.0.0-8) unstable; urgency=medium

  * Bug #50267: Fix UCS Version for links

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 26 Sep 2019 11:50:12 +0200

univention-system-activation (4.0.0-7) unstable; urgency=medium

  * Bug #50205: Update links from UCS 4.x-y to UCS 4.4-2

 -- Philipp Hahn <hahn@univention.de>  Fri, 20 Sep 2019 14:32:29 +0200

univention-system-activation (4.0.0-6) unstable; urgency=medium

  * Bug #46790: Show traceback if univention-ldapsearch fails

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 11 Sep 2019 23:27:48 +0200

univention-system-activation (4.0.0-5) unstable; urgency=medium

  * Bug #46790: i10n

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 05 Sep 2019 11:41:17 +0200

univention-system-activation (4.0.0-4) unstable; urgency=medium

  * Bug #46790: Better error messages for activation wizard

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 05 Sep 2019 08:52:06 +0200

univention-system-activation (4.0.0-3) unstable; urgency=medium

  * Bug #48698: Fix GUI visible spelling errors

 -- Philipp Hahn <hahn@univention.de>  Thu, 08 Aug 2019 07:10:47 +0200

univention-system-activation (4.0.0-2) unstable; urgency=medium

  * Bug #35687: replace simplejson with json

 -- Florian Best <best@univention.de>  Thu, 14 Mar 2019 08:18:56 +0100

univention-system-activation (4.0.0-1) unstable; urgency=medium

  * Bug #48326: UCS-4.4-0 version bump

 -- Philipp Hahn <hahn@univention.de>  Fri, 14 Dec 2018 15:12:33 +0100

univention-system-activation (3.0.0-6) unstable; urgency=medium

  * Bug #46742: Move univention privacy statement link to the
    summary page of the system setup

 -- Johannes Keiser <keiser@univention.de>  Wed, 28 Mar 2018 12:55:23 +0200

univention-system-activation (3.0.0-5) unstable; urgency=medium

  * Bug #46742: Add link to univention privacy statement when
    user enters e-mail for UCS system activation

 -- Johannes Keiser <keiser@univention.de>  Mon, 26 Mar 2018 16:12:56 +0200

univention-system-activation (3.0.0-4) unstable; urgency=medium

  * Bug #45899: Fix sentence

 -- Erik Damrose <damrose@univention.de>  Tue, 16 Jan 2018 12:07:20 +0100

univention-system-activation (3.0.0-3) unstable; urgency=medium

  * Bug #45899: Merge to 4.3
  * Always open link in new browser tab

 -- Erik Damrose <damrose@univention.de>  Fri, 12 Jan 2018 15:12:12 +0100

univention-system-activation (3.0.0-2) unstable; urgency=medium

  * Bug #45899: Merge to 4.3
  * Add information about blocking browser addons to system activation error
    message

 -- Erik Damrose <damrose@univention.de>  Thu, 11 Jan 2018 17:56:17 +0100

univention-system-activation (3.0.0-1) unstable; urgency=medium

  * Bug #45841: UCS-4.3 version bump

 -- Jürn Brodersen <brodersen@univention.de>  Mon, 11 Dec 2017 14:40:50 +0100

univention-system-activation (2.0.2-12) unstable; urgency=medium

  * Bug #43999: Adjust styling of dialogs

 -- Johannes Keiser <keiser@univention.de>  Wed, 13 Sep 2017 18:37:53 +0200

univention-system-activation (2.0.2-11) unstable; urgency=medium

  * Bug #44523: Adjust apache rules to allow UMCP commands and auth requests

 -- Alexander Kläser <klaeser@univention.de>  Tue, 18 Jul 2017 09:58:08 +0200

univention-system-activation (2.0.2-10) unstable; urgency=medium

  * Bug #44910:
    - check for successful license request properly
    - inform the user if there was an internal server error and the license
      request was not sent

 -- Eduard Mai <mai@univention.de>  Fri, 30 Jun 2017 14:37:40 +0200

univention-system-activation (2.0.2-9) unstable; urgency=medium

  * Bug #44523: Remove superfluous header

 -- Alexander Kläser <klaeser@univention.de>  Tue, 23 May 2017 16:25:16 +0200

univention-system-activation (2.0.2-8) unstable; urgency=medium

  * Bug #44523: Refactor redirect to portal function to make it
    clearer that it only works with the portal

 -- Johannes Keiser <keiser@univention.de>  Mon, 22 May 2017 13:16:54 +0200

univention-system-activation (2.0.2-7) unstable; urgency=medium

  * Bug #44523: Wait for apache to reload before redirecting to portal

 -- Johannes Keiser <keiser@univention.de>  Mon, 22 May 2017 11:34:52 +0200



=== debian/control ===
Source: univention-system-activation
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Build-Depends:
 debhelper,
 node-stylus,
 dh-python,
 python-all,
 python3-all,
 sed,
 univention-config-dev (>= 15.0.3),
 univention-l10n-dev (>= 7.0.1),
 univention-management-console-dev (>= 12.0.2),
 unzip,
Standards-Version: 3.8.2

Package: univention-system-activation
Architecture: all
Depends:
 libapache2-mod-wsgi-py3,
 python-ldap,
 sudo,
 univention-apache,
 ${misc:Depends},
 ${python:Depends},
 ${python3:Depends},
Provides:
 ${python:Provides},
 ${python3:Provides},
Description: Univention System Activation
 This package contains the system activation web service which is needed for
 Univention Corporate Server's virtual appliance images

## univention-system-activation 5.0.1-2A~5.0.0.202106111406

=== debian/changelog ===
univention-system-activation (5.0.1-2A~5.0.0.202106111406) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Fri, 11 Jun 2021 14:06:19 +0200

univention-system-activation (5.0.1-2) unstable; urgency=medium

  * Bug #53390: implement light theme

 -- Johannes Keiser <keiser@univention.de>  Fri, 11 Jun 2021 13:37:48 +0200

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention System Activation
#  rules file for the debian package
#
# Copyright 2015-2021 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.

%:
	dh $@ --with python2,python3,univention-l10n,ucr

## univention-system-activation 5.0.2-1A~5.0.0.202206161034

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #
-# Copyright 2017-2021 Univention GmbH
+# Copyright 2017-2022 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-system-activation (5.0.2-1A~5.0.0.202206161034) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 16 Jun 2022 10:34:11 +0200

univention-system-activation (5.0.2-1) unstable; urgency=medium

  * Bug #54706: drop Python 3 UMC package files

 -- Florian Best <best@univention.de>  Wed, 04 May 2022 08:12:08 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
  debhelper,
  node-stylus,
  dh-python,
- python-all,
  python3-all,
  sed,
  univention-config-dev (>= 15.0.3),
@@ -23,11 +22,7 @@
  sudo,
  univention-apache,
  ${misc:Depends},
- ${python:Depends},
  ${python3:Depends},
-Provides:
- ${python:Provides},
- ${python3:Provides},
 Description: Univention System Activation
  This package contains the system activation web service which is needed for
  Univention Corporate Server's virtual appliance images

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Univention System Activation
 #  rules file for the debian package
 #
-# Copyright 2015-2021 Univention GmbH
+# Copyright 2015-2022 Univention GmbH
 #
 # https://www.univention.de/
 #
@@ -31,4 +31,4 @@
 # <https://www.gnu.org/licenses/>.
 
 %:
-	dh $@ --with python2,python3,univention-l10n,ucr
+	dh $@ --with python3,univention-l10n,ucr

## univention-system-activation 5.0.3-1A~5.0.0.202302032021

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 #
-# Copyright 2017-2022 Univention GmbH
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
+#
+# Copyright 2017-2023 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-system-activation (5.0.3-1A~5.0.0.202302032021) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Fri, 03 Feb 2023 20:21:59 +0100

univention-system-activation (5.0.3-1) unstable; urgency=medium

  * Bug #31771: migrate tabs to spaces

 -- Florian Best <best@univention.de>  Fri, 03 Feb 2023 04:17:36 +0100

univention-system-activation (5.0.2-2) unstable; urgency=medium

  * Bug #55107: make the system activation frontend compatible with
    the UCS 5.0 Portal

 -- Johannes Lohmer <lohmer@univention.de>  Tue, 30 Aug 2022 12:32:12 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,10 @@
 # Univention System Activation
 #  rules file for the debian package
 #
-# Copyright 2015-2022 Univention GmbH
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
+#
+# Copyright 2015-2023 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-system-activation 5.0.6-1

=== debian/changelog ===
univention-system-activation (5.0.6-1) unstable; urgency=medium

  [ Ivan Barbecho Delgado ]
  * Bug #57350 UCS 5.0-8 version bump

  [ Felix Botner ]
  * Bug #57378 switch product logos

 -- Felix Botner <botner@univention.de>  Fri, 07 Jun 2024 11:52:23 +0200

univention-system-activation (5.0.5-1) UNRELEASED; urgency=medium

  * Bug #57118 UCS 5.0-7 version bump

 -- Philipp Hahn <hahn@univention.de>  Thu, 07 Mar 2024 15:51:51 +0100

univention-system-activation (5.0.4-1) UNRELEASED; urgency=medium

  * Bug #56832: UCS 5.0-6 version bump

 -- Philipp Hahn <hahn@univention.de>  Thu, 07 Dec 2023 19:17:21 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Univention GmbH <packages@univention.de>
 Build-Depends:
  debhelper,
+ dh-python,
  node-stylus,
- dh-python,
  python3-all,
  sed,
  univention-config-dev (>= 15.0.3),

## univention-system-activation 6.0.5

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2017-2023 Univention GmbH
+# Copyright 2017-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-system-activation (6.0.5) unstable; urgency=medium

  * Bug #57378 switch product logos

 -- Felix Botner <botner@univention.de>  Mon, 17 Jun 2024 15:41:57 +0200

univention-system-activation (6.0.4) unstable; urgency=medium

  * Bug #55915: replace `cgi` import with `email`

 -- Maximilian Janßen <janssen@univention.de>  Thu, 07 Mar 2024 23:54:27 +0100

univention-system-activation (6.0.3) unstable; urgency=medium

  * Bug #53127: upgrade to latest debhelper compat version

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:32 +0100

univention-system-activation (6.0.2) unstable; urgency=medium

  * Bug #56530: change Python 2 packages into transitional packages

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:20 +0100

univention-system-activation (6.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.1-0 version bump

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 22:19:41 +0100

## univention-system-activation 7.0.3

=== debian/changelog ===
univention-system-activation (7.0.3) unstable; urgency=medium

  * Bug #57378 switch product logos

 -- Felix Botner <botner@univention.de>  Mon, 17 Jun 2024 16:00:58 +0200

univention-system-activation (7.0.2) unstable; urgency=medium

  * Bug #56604: drop Python 2 compatibility

 -- Florian Best <best@univention.de>  Fri, 08 Mar 2024 02:13:36 +0100

univention-system-activation (7.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.2-0 version bump

 -- Florian Best <best@univention.de>  Fri, 08 Mar 2024 00:12:29 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2015-2023 Univention GmbH
+# Copyright 2015-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-system-activation 7.4.0

=== Makefile ===
#!/usr/bin/make -f
# SPDX-FileCopyrightText: 2017-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

build: www/style.css

%.css: %.styl
	stylus "$<"

clean:
	$(RM) www/style.css

=== debian/changelog ===
univention-system-activation (7.4.0) unstable; urgency=medium

  * Bug #58848: UCS 5.2-4 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Fri, 28 Nov 2025 09:30:05 +0100

univention-system-activation (7.3.0) UNRELEASED; urgency=medium

  * Bug #58568: UCS 5.2-3 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Tue, 02 Sep 2025 16:18:24 +0200

univention-system-activation (7.2.0) UNRELEASED; urgency=medium

  * Bug #58344: UCS 5.2-2 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Wed, 28 May 2025 16:49:53 +0200

univention-system-activation (7.0.4-1) UNRELEASED; urgency=medium

  * Bug #58015 UCS 5.2-1 version bump

 -- Christian Castens <castens@univention.de>  Mon, 03 Mar 2025 10:45:38 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Univention GmbH <packages@univention.de>
 Build-Depends:
- debhelper,
+ debhelper-compat (=13),
  dh-python,
  node-stylus,
  python3-all,
@@ -18,7 +18,6 @@
 Architecture: all
 Depends:
  libapache2-mod-wsgi-py3,
- python-ldap,
  sudo,
  univention-apache,
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention System Activation
#  rules file for the debian package
#
# SPDX-FileCopyrightText: 2015-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

%:
	dh $@ --with python3,univention-l10n,ucr
